************************************************************************
**  ^ROUTINE: WDFALT - Routine to initialize iparm and fparm arrays to
**                     useful default settings. (^)
**
      subroutine sdfalt ( iparm , fparm )
**
**  ^DESCRIPTION:
**    This routine initiailzes i/fparm, based on the default information
**    specified in defs_ifparm.m4.
**
**  ^AUTHOR:   wdj@beta.lanl.gov
**
**  ^MODIFIED: spencer@navier.ae.utexas.edu on Thu May 16 12:00:38 1996 $
**
**  ^ARGUMENTS: see *Subroutine Arguments* below.
**
**  ^REQUIREMENTS:
**    Subroutines:   none
**
**  ^SIDE_EFFECTS:
**    The i/fparm arrays are set to their default values.
**
**  ^DOCUMENTATION:
**
************************************************************************
*
      implicit none
          Include 'fcube.h'
*         Include 'veclib.h'
*
       integer iparm(*)
       real fparm(*)
*
      integer i
      integer ipme
      integer iphost
      integer log2np
      integer nproc
      integer iom
      character*72 errstr
*
*
****^^******************************************************************
*     $Modified: spencer@navier.ae.utexas.edu on Thu May 16 12:00:38 1996 $
*     $Id: dfalt.fm4,v 1.10 1994/09/06 17:34:35 joubert Exp $
*     $Revision: 1.10 $
************************************************************************
*
      do 8511 i = 1, 50
        iparm(i) = 0
 8511 continue
*
      do 8513 i = 1, 30
        fparm(i) = 0e0
 8513 continue
*
      iparm(1) = 6
      iparm(2) = 0
      iparm(3) = 1
      iparm(4) = 500
      iparm(5) = 0
      iparm(6) = 1
      iparm(7) = 1
      iparm(8) = 1
      iparm(9) = 0
      iparm(10) = 0
      iparm(11) = 1
      iparm(12) = -1
      iparm(13) = 1
      iparm(14) = -1
      iparm(15) = 0
      iparm(16) = 10
      iparm(17) = 10
      iparm(18) = -1
      iparm(19) = 0
      iparm(20) = 1
      iparm(21) = 0
      iparm(22) = 0
      iparm(23) = 0
      iparm(24) = 0
      iparm(25) = (1999999999-2**30+1)
      iparm(26) = 0
      iparm(27) = 0
      iparm(41) = 1
      iparm(42) = 1
      fparm(1) = 0.
      fparm(2) = 0.
      fparm(3) = 0.
      fparm(4) = .0001
      fparm(5) = 1.
      fparm(6) = 1.
      fparm(7) = 1.
      fparm(8) = 1.
      fparm(11) = 0.
      fparm(12) = 0.
      fparm(13) = 0.
      fparm(21) = 0.
      fparm(22) = 0.
      fparm(23) = 0.
      return
      end
